# saga::filesystem::const_iovec Class Reference

Brief description starts here. More...

`#include <iovec.hpp>`

Inheritance diagram for saga::filesystem::const_iovec:

[legend]

List of all members.

## Public Member Functions
| const_iovec (void const *data, saga::ssize_t size, saga::ssize_t len_in=-1)
| Brief description starts here.
| ~const_iovec ()
| Brief description starts here.
saga::ssize_t | get_len_in () const
| Brief description starts here.
saga::ssize_t | get_len_out () const
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Constructor & Destructor Documentation

saga::filesystem::const_iovec::const_iovec | ( | void const * | data,
|  | saga::ssize_t | size,
|  | saga::ssize_t | len_in = `-1` |
| ) |  |  |

Brief description starts here.

saga::filesystem::const_iovec::~const_iovec | ( |  | ) |

Brief description starts here.

## Member Function Documentation

saga::ssize_t saga::filesystem::const_iovec::get_len_in | ( |  | ) | const

Brief description starts here.

saga::ssize_t saga::filesystem::const_iovec::get_len_out | ( |  | ) | const

Brief description starts here.

The documentation for this class was generated from the following files:

- iovec.hpp
- iovec.cpp